﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FR.SAFTAnalyser.SAFT
{
    internal static class EnumParser
    {
        internal static T Parse<T>(string value) where T : struct
        {
            T t = new T();
            Enum.TryParse<T>(value, true, out t);

            return t;
        }
    }
}
