﻿using Cinch;

namespace FR.SAFTAnalyser
{
    internal struct MessageType
    {
        internal const string OPEN_SAFT_FILE = "OPEN_SAFT_FILE";
        internal const string OPEN_PRIVATE_KEY_FILE = "OPEN_PRIVATE_KEY_FILE";
        internal const string OPEN_PUBLIC_KEY_FILE = "OPEN_PUBLIC_KEY_FILE";

        internal const string SAFT_FILE_CHANGED = "SAFT_FILE_CHANGED";

        internal const string SAFT_FILE_OPENED = "SAFT_FILE_OPENED";
        internal const string SCHEMA_FILE_OPENED = "SCHEMA_FILE_OPENED";
        internal const string PUBLIC_KEY_FILE_OPENED = "PUBLIC_KEY_FILE_OPENED";

        internal const string VALIDATE_SAFT_SCHEMA = "VALIDATE_SAFT_SCHEMA";
        internal const string VALIDATE_SAFT_HASH = "VALIDATE_SAFT_HASH";
        
        internal const string SAFT_SCHEMA_RESULTS = "SAFT_SCHEMA_RESULTS";
        internal const string SAFT_HASH_RESULTS = "SAFT_HASH_RESULTS";
        
        internal const string INVOICE_LIST_CHANGED = "INVOICE_LIST_CHANGED";
        internal const string ERROR_FOUND = "ERROR_FOUND";
        internal const string EXCEPTION_FOUND = "EXCEPTION_FOUND";

        internal const string FOCUS_INVOICES = "FOCUS_INVOICES";
        internal const string FOCUS_INVOICES_LINE = "FOCUS_INVOICES_LINE";
        internal const string FOCUS_HEADER = "FOCUS_HEADER";
        internal const string FOCUS_CUSTOMERS = "FOCUS_CUSTOMERS";
        internal const string FOCUS_PRODUCTS = "FOCUS_PRODUCTS";
        internal const string FOCUS_TAXS = "FOCUS_TAXS";
        internal const string FOCUS_SUPPLIERS = "FOCUS_SUPPLIERS";

        internal const string FOCUS_INVOICE = "FOCUS_INVOICE";
        internal const string FOCUS_INVOICE_LINE = "FOCUS_INVOICE_LINE";
        internal const string FOCUS_CUSTOMER = "FOCUS_CUSTOMER";
        internal const string FOCUS_PRODUCT = "FOCUS_PRODUCT";
        internal const string FOCUS_TAX = "FOCUS_TAX";
        internal const string FOCUS_SUPPLIER = "FOCUS_SUPPLIER";

        internal const string UPDATE_STATUS = "UPDATE_STATUS";
        internal const string UPDATE_READY = "UPDATE_READY";
        internal const string UPDATE_AVAILABLE = "UPDATE_AVAILABLE";
        
    }
}
