﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FR.SAFTAnalyser
{
    [Serializable]
    public enum SaftTables
    {
        Header,
        Customers,
        GeneralLeaderEntries,
        GeneralLeader,
        Invoices,
        MovementOfGoods,
        Payments,
        Products,
        Suppliers,
        Taxes,
        WorkingDocuments
    }

    [Serializable]
    public class SaftTablesDescription
    {
        public SaftTables Table { get; set; }
        public string Description { get; set; }
        public bool IsOpenByDefault { get; set; }
    }
}
